FROM nginx:1-alpine

COPY ./docker/nginx.default.conf /etc/nginx/conf.d/default.conf

WORKDIR /usr/share/nginx/html

COPY ./docker/config_creator.sh config_creator.sh
COPY ./k8s/configs/.envs.env .env
COPY ./docker/entrypoint.sh /entrypoint.sh
COPY ./build .
RUN chmod +x /entrypoint.sh

ENTRYPOINT ["/entrypoint.sh"]
CMD ["nginx", "-g", "daemon off;"]

